﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace RobotCtrl
{
    public class DigitalIn_HW : DigitalIn
    {
        private int ioPort;
        
        public DigitalIn_HW(int ioPort)
        {
            this.ioPort = ioPort;
        }

        //public override int Data --> Überschreiben der Methode der Basisklasse
        //public new int Data      --> Überdecken der Methode der Basisklasse
        public override int Data
        {
            get { return IOPort.Read(ioPort); }
        }

        public override bool this[int bitIndex]
        {
            get { return (IOPort.Read(ioPort) & (1 << bitIndex)) != 0; }
        }


    }
}
